#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityKingCraftLotteryData
{
	//ID
	int mID;
	//权重
	int mWeight;
	//道具ID
	int mItemID;
	//道具数量
	int mItemCount;
};

class M_ActivityKingCraftLottery
{
public:
private:
	static std::auto_ptr<M_ActivityKingCraftLottery> msSingleton;
public:
	int GetCount();
	const M_ActivityKingCraftLotteryData* GetData(int ID);
	boost::unordered_map<int, M_ActivityKingCraftLotteryData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityKingCraftLottery* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityKingCraftLotteryData> mMapData;
};
